#ifndef KONSOLEIFACE_H
#define KONSOLEIFACE_H

#include <dcopobject.h>

class KltIface : virtual public DCOPObject
{
    K_DCOP
    k_dcop:

    virtual int sessionCount() = 0;

    virtual TQString currentSession() = 0;
    virtual TQString newSession() = 0;
    virtual TQString newSession(const TQString &type) = 0;
    virtual TQString sessionId(const int position) = 0;

    virtual void activateSession(const TQString &sessionId) = 0;

    virtual ASYNC reparseConfiguration() = 0;
};

#endif // KONSOLEIFACE_H
